Index: code/branches/network/src/audio/AudioBuffer.cc
===================================================================
--- code/branches/network/src/audio/AudioBuffer.cc	(revision 1494)
+++ code/branches/network/src/audio/AudioBuffer.cc	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
Index: code/branches/network/src/audio/AudioBuffer.h
===================================================================
--- code/branches/network/src/audio/AudioBuffer.h	(revision 1494)
+++ code/branches/network/src/audio/AudioBuffer.h	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
Index: code/branches/network/src/audio/AudioIncludes.h
===================================================================
--- code/branches/network/src/audio/AudioIncludes.h	(revision 1494)
+++ code/branches/network/src/audio/AudioIncludes.h	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
@@ -26,5 +27,10 @@
  */
 
-/**  @file  @brief Various headers used in the audio lib. Avoid including this to         increase accuracy of header file dependencies.*/
+/**
+  @file
+  @brief Various headers used in the audio lib. Avoid including this to
+         increase accuracy of header file dependencies.
+*/
+
 #include "AudioPrereqs.h"
 
Index: code/branches/network/src/audio/AudioManager.cc
===================================================================
--- code/branches/network/src/audio/AudioManager.cc	(revision 1494)
+++ code/branches/network/src/audio/AudioManager.cc	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
Index: code/branches/network/src/audio/AudioManager.h
===================================================================
--- code/branches/network/src/audio/AudioManager.h	(revision 1494)
+++ code/branches/network/src/audio/AudioManager.h	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
Index: code/branches/network/src/audio/AudioPrereqs.h
===================================================================
--- code/branches/network/src/audio/AudioPrereqs.h	(revision 1494)
+++ code/branches/network/src/audio/AudioPrereqs.h	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
@@ -36,6 +37,27 @@
 #include "util/OrxonoxPlatform.h"
 
-//-----------------------------------------------------------------------// Shared library settings//-----------------------------------------------------------------------#if (ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32) && !defined( AUDIO_STATIC_BUILD )#  ifdef AUDIO_SHARED_BUILD#    define _AudioExport __declspec(dllexport)#  else#    if defined( __MINGW32__ )#      define _AudioExport#    else#      define _AudioExport __declspec(dllimport)#    endif#  endif#elif defined ( ORXONOX_GCC_VISIBILITY )#  define _AudioExport  __attribute__ ((visibility("default")))#else#  define _AudioExport#endif
-//-----------------------------------------------------------------------// Forward declarations//-----------------------------------------------------------------------
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+#if (ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32) && !defined( AUDIO_STATIC_BUILD )
+#  ifdef AUDIO_SHARED_BUILD
+#    define _AudioExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _AudioExport
+#    else
+#      define _AudioExport __declspec(dllimport)
+#    endif
+#  endif
+#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _AudioExport  __attribute__ ((visibility("default")))
+#else
+#  define _AudioExport
+#endif
+
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
 namespace audio
 {
@@ -46,8 +68,14 @@
 }
 
-//-----------------------------------------------------------------------// Warnings//-----------------------------------------------------------------------
+//-----------------------------------------------------------------------
+// Warnings
+//-----------------------------------------------------------------------
 #if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
 
-// set to 4: conversion from 'ogg_int64_t' to 'long', possible loss of data#pragma warning (4 : 4244)#endif
+// set to 4: conversion from 'ogg_int64_t' to 'long', possible loss of data
+#pragma warning (4 : 4244)
+
+#endif
+
 
 #endif /* _AudioPrereqs_H__ */
Index: code/branches/network/src/audio/AudioSource.cc
===================================================================
--- code/branches/network/src/audio/AudioSource.cc	(revision 1494)
+++ code/branches/network/src/audio/AudioSource.cc	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
Index: code/branches/network/src/audio/AudioSource.h
===================================================================
--- code/branches/network/src/audio/AudioSource.h	(revision 1494)
+++ code/branches/network/src/audio/AudioSource.h	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
Index: code/branches/network/src/audio/AudioStream.h
===================================================================
--- code/branches/network/src/audio/AudioStream.h	(revision 1494)
+++ code/branches/network/src/audio/AudioStream.h	(revision 1495)
@@ -1,5 +1,6 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net < *
+ *                    > www.orxonox.net <
+ *
  *
  *   License notice:
@@ -26,5 +27,7 @@
  */
 
-#ifndef _AudioStream_H__#define _AudioStream_H__
+#ifndef _AudioStream_H__
+#define _AudioStream_H__
+
 #include "AudioPrereqs.h"
 
@@ -35,6 +38,41 @@
 #include <vorbis/vorbisfile.h>
 #include <vorbis/codec.h>
-namespace audio{  #define BUFFER_SIZE (4096 * 4)  class _AudioExport AudioStream  {    public:      AudioStream(std::string path);      void open();      void release();      void display();      bool playback();      bool playing();      bool update();      inline bool isLoaded() { return loaded; }
-    protected:      bool stream(ALuint buffer);      void empty();      void check();      std::string errorString(int code);    private:      std::string path;
-      FILE*           oggFile;      OggVorbis_File  oggStream;      vorbis_info*    vorbisInfo;      vorbis_comment* vorbisComment;      bool loaded;
-      ALuint buffers[2];      ALuint source;      ALenum format;  };}#endif /* _AudioStream_H__ */
+
+namespace audio
+{
+  #define BUFFER_SIZE (4096 * 4)
+
+  class _AudioExport AudioStream
+  {
+    public:
+      AudioStream(std::string path);
+      void open();
+      void release();
+      void display();
+      bool playback();
+      bool playing();
+      bool update();
+      inline bool isLoaded() { return loaded; }
+
+    protected:
+      bool stream(ALuint buffer);
+      void empty();
+      void check();
+      std::string errorString(int code);
+
+    private:
+      std::string path;
+
+      FILE*           oggFile;
+      OggVorbis_File  oggStream;
+      vorbis_info*    vorbisInfo;
+      vorbis_comment* vorbisComment;
+      bool loaded;
+
+      ALuint buffers[2];
+      ALuint source;
+      ALenum format;
+  };
+}
+
+#endif /* _AudioStream_H__ */
